Index: util/romcc/tests/hello_world.c
===================================================================
--- util/romcc/tests/hello_world.c	(revision 3942)
+++ util/romcc/tests/hello_world.c	(working copy)
@@ -113,14 +113,14 @@
 
 void main(void)
 {
-	static const char msg[] = "hello world\r\n";
+	static const char msg[] = "hello world\n";
 	uart_init();
 #if 0
 	print_debug(msg);
 #endif
 #if 1
-	print_debug("hello world\r\n");
-	print_debug("how are you today\r\n");
+	print_debug("hello world\n");
+	print_debug("how are you today\n");
 #endif
 	while(1) {
 		;
Index: util/romcc/tests/linux_test2.c
===================================================================
--- util/romcc/tests/linux_test2.c	(revision 3942)
+++ util/romcc/tests/linux_test2.c	(working copy)
@@ -640,7 +640,7 @@
 	};
 	int i;
 	int max;
-	print_debug("setting up coherent ht domain....\r\n");
+	print_debug("setting up coherent ht domain....\n");
 	max = sizeof(register_values)/sizeof(register_values[0]);
 	for(i = 0; i < max; i += 3) {
 		unsigned long reg;
@@ -648,7 +648,7 @@
 		print_debug_hex32(register_values[i]);
 		print_debug(" <-");
 		print_debug_hex32(register_values[i+2]);
-		print_debug("\r\n");
+		print_debug("\n");
 #endif
 #if 0
 		reg = pci_read_config32(register_values[i]);
@@ -657,12 +657,12 @@
 		pci_write_config32(register_values[i], reg);
 #endif
 	}
-	print_debug("done.\r\n");
+	print_debug("done.\n");
 }
 
 static void main(void)
 {
-	static const char msg[] = "hello world\r\n";
+	static const char msg[] = "hello world\n";
 #if 0
 	write(STDOUT_FILENO, msg, sizeof(msg));
 #endif
Index: util/romcc/tests/linux_test6.c
===================================================================
--- util/romcc/tests/linux_test6.c	(revision 3942)
+++ util/romcc/tests/linux_test6.c	(working copy)
@@ -6,11 +6,11 @@
 	static const int value[] = { 1, 0 };
 	const char *str;
 	if (value[1]) {
-		print_debug("A\r\n");
-		str = "Unbuffered\r\n";
+		print_debug("A\n");
+		str = "Unbuffered\n";
 	} else {
-		print_debug("B\r\n");
-		str = "Registered\r\n";
+		print_debug("B\n");
+		str = "Registered\n";
 	}
 	print_debug(str);
 	_exit(0);
Index: util/romcc/tests/linux_test8.c
===================================================================
--- util/romcc/tests/linux_test8.c	(revision 3942)
+++ util/romcc/tests/linux_test8.c	(working copy)
@@ -15,7 +15,7 @@
 static void test(void)
 {
 	static const struct mem_param param0 = {
-		.name = "166Mhz\r\n",
+		.name = "166Mhz\n",
 		.cycle_time = 0x60,
 		.divisor = (6<<1),
 		.tRC = 0x3C,
@@ -34,6 +34,6 @@
 	clocks = (value + (param->divisor << 1) - 1)/(param->divisor << 1);
 	print_debug("clocks: ");
 	print_debug_hex32(clocks);
-	print_debug("\r\n");
+	print_debug("\n");
 	_exit(0);
 }
Index: util/romcc/tests/simple_test30.c
===================================================================
--- util/romcc/tests/simple_test30.c	(revision 3942)
+++ util/romcc/tests/simple_test30.c	(working copy)
@@ -1054,7 +1054,7 @@
 	};
 	int i;
 	int max;
-	print_debug("setting up coherent ht domain....\r\n");
+	print_debug("setting up coherent ht domain....\n");
 	max = sizeof(register_values)/sizeof(register_values[0]);
 	for(i = 0; i < max; i += 3) {
 		unsigned long reg;
@@ -1062,7 +1062,7 @@
 		print_debug_hex32(register_values[i]);
 		print_debug(" <-");
 		print_debug_hex32(register_values[i+2]);
-		print_debug("\r\n");
+		print_debug("\n");
 #endif
 #if 0
 		reg = pci_read_config32(register_values[i]);
@@ -1071,12 +1071,12 @@
 		pci_write_config32(register_values[i], reg);
 #endif
 	}
-	print_debug("done.\r\n");
+	print_debug("done.\n");
 }
 
 static void main(void)
 {
-	static const char msg[] = "hello world\r\n";
+	static const char msg[] = "hello world\n";
 #if 0
 	write(STDOUT_FILENO, msg, sizeof(msg));
 #endif
Index: util/romcc/tests/hello_world2.c
===================================================================
--- util/romcc/tests/hello_world2.c	(revision 3942)
+++ util/romcc/tests/hello_world2.c	(working copy)
@@ -113,13 +113,13 @@
 
 void main(void)
 {
-	static const char msg[] = "hello world\r\n";
+	static const char msg[] = "hello world\n";
 	uart_init();
 #if 0
 	print_debug(msg);
 #endif
 #if 1
-	print_debug("hello world\r\n");
+	print_debug("hello world\n");
 #endif
 	while(1) {
 		;
Index: util/romcc/tests/simple_test15.c
===================================================================
--- util/romcc/tests/simple_test15.c	(revision 3942)
+++ util/romcc/tests/simple_test15.c	(working copy)
@@ -42,6 +42,6 @@
 
 static void main(void)
 {
-	print_debug("one\r\n");
-        print_debug("two\r\n");
+	print_debug("one\n");
+        print_debug("two\n");
 }
Index: util/romcc/tests/simple_test34.c
===================================================================
--- util/romcc/tests/simple_test34.c	(revision 3942)
+++ util/romcc/tests/simple_test34.c	(working copy)
@@ -55,7 +55,7 @@
 	print_debug("TOP_MEM: ");
 	print_debug_hex32(msr.hi);
 	print_debug_hex32(msr.lo);
-	print_debug("\r\n");
+	print_debug("\n");
 
 	start = 0;
 	stop = msr.lo;
@@ -63,7 +63,7 @@
         print_debug_hex32(start);
         print_debug("-");
         print_debug_hex32(stop);
-        print_debug("\r\n");
+        print_debug("\n");
 
         print_debug("DRAM verify: ");
         print_debug_hex32(start);
Index: util/romcc/tests/simple_test74.c
===================================================================
--- util/romcc/tests/simple_test74.c	(revision 3942)
+++ util/romcc/tests/simple_test74.c	(working copy)
@@ -82,7 +82,7 @@
 
 static void main(void)
 {
-	static const char msg[] = "hello world\r\n";
+	static const char msg[] = "hello world\n";
 	write(STDOUT_FILENO, msg, sizeof(msg));
 	_exit(0);
 }
Index: util/romcc/tests/simple_test76.c
===================================================================
--- util/romcc/tests/simple_test76.c	(revision 3942)
+++ util/romcc/tests/simple_test76.c	(working copy)
@@ -63,7 +63,7 @@
 
 static void main(void)
 {
-	static const char msg[] = "hello world\r\n";
+	static const char msg[] = "hello world\n";
 	write(STDOUT_FILENO, msg, sizeof(msg));
 	_exit(0);
 }
Index: util/romcc/tests/simple_test59.c
===================================================================
--- util/romcc/tests/simple_test59.c	(revision 3942)
+++ util/romcc/tests/simple_test59.c	(working copy)
@@ -409,11 +409,11 @@
 	static const int value[] = { 1 };
 	const char *str;
 	if (value[1]) {
-		print_debug("A\r\n");
-		str = "Unbuffered\r\n";
+		print_debug("A\n");
+		str = "Unbuffered\n";
 	} else {
-		print_debug("B\r\n");
-		str = "Registered\r\n";
+		print_debug("B\n");
+		str = "Registered\n";
 	}
 	print_debug(str);
 	_exit(0);
Index: util/romcc/tests/simple_test8.c
===================================================================
--- util/romcc/tests/simple_test8.c	(revision 3942)
+++ util/romcc/tests/simple_test8.c	(working copy)
@@ -2,7 +2,7 @@
 
 void main(void)
 {
-	static const char msg[] = "hello world\r\n";
+	static const char msg[] = "hello world\n";
 	char *str;
 	char ch;
 	str = msg;
Index: util/romcc/tests/raminit_test3.c
===================================================================
--- util/romcc/tests/raminit_test3.c	(revision 3942)
+++ util/romcc/tests/raminit_test3.c	(working copy)
@@ -324,12 +324,12 @@
 static void console_init(void)
 {
         static const char console_test[] =
-                "\r\n\r\nLinuxBIOS-"
+                "\n\nLinuxBIOS-"
                 "1.1.0"
                 ".0Fallback"
                 " "
                 "Mon Jun 9 18:15:20 MDT 2003"
-                " starting...\r\n";
+                " starting...\n";
         print_info(console_test);
 }
 # 7 "/home/eric/projects/linuxbios/checkin/solo/freebios2/src/mainboard/amd/solo/auto.c" 2
@@ -358,7 +358,7 @@
         print_debug_hex32(start);
         print_debug("-");
         print_debug_hex32(stop);
-        print_debug("\r\n");
+        print_debug("\n");
         for(addr = start; addr < stop ; addr += 4) {
 
                 if ((addr & 0xffff) == 0) {
@@ -369,7 +369,7 @@
         };
 
         print_debug_hex32(addr);
-        print_debug("\r\nDRAM filled\r\n");
+        print_debug("\nDRAM filled\n");
 }
 
 void ram_verify(unsigned long start, unsigned long stop)
@@ -382,7 +382,7 @@
         print_debug_hex32(start);
         print_debug_char('-');
         print_debug_hex32(stop);
-        print_debug("\r\n");
+        print_debug("\n");
         for(addr = start; addr < stop ; addr += 4) {
                 unsigned long value;
 
@@ -396,12 +396,12 @@
                         print_err_hex32(addr);
                         print_err_char(':');
                         print_err_hex32(value);
-                        print_err("\r\n");
+                        print_err("\n");
                 }
         }
 
         print_debug_hex32(addr);
-        print_debug("\r\nDRAM verified\r\n");
+        print_debug("\nDRAM verified\n");
 }
 
 
@@ -417,7 +417,7 @@
         print_debug_hex32(start);
         print_debug("-");
         print_debug_hex32(stop);
-        print_debug("\r\n");
+        print_debug("\n");
         ram_fill(start, stop);
         ram_verify(start, stop);
         print_debug("Done.\n");
@@ -558,7 +558,7 @@
         };
         int i;
         int max;
-        print_debug("setting up CPU0 northbridge registers\r\n");
+        print_debug("setting up CPU0 northbridge registers\n");
         max = sizeof(register_values)/sizeof(register_values[0]);
         for(i = 0; i < max; i += 3) {
                 unsigned long reg;
@@ -573,7 +573,7 @@
                 reg |= register_values[i+2];
                 pci_write_config32(register_values[i], reg);
         }
-        print_debug("done.\r\n");
+        print_debug("done.\n");
 }
 # 743 "/home/eric/projects/linuxbios/checkin/solo/freebios2/src/mainboard/amd/solo/auto.c"
 static void sdram_set_spd_registers(void)
@@ -594,7 +594,7 @@
         dcl = pci_read_config32(( (((0) & 0xFF) << 16) | (((0x18) & 0x1f) << 11) | (((2) & 0x07) << 8) | ((0x90) & 0xFF)));
         print_debug("dcl: ");
         print_debug_hex32(dcl);
-        print_debug("\r\n");
+        print_debug("\n");
         dcl |= (1<<3);
         pci_write_config32(( (((0) & 0xFF) << 16) | (((0x18) & 0x1f) << 11) | (((2) & 0x07) << 8) | ((0x90) & 0xFF)), dcl);
         dcl &= ~(1<<3);
@@ -614,9 +614,9 @@
                 }
         } while(((dcl & (1<<8)) != 0) && (loops < 300000));
         if (loops >= 300000) {
-                print_debug(" failed\r\n");
+                print_debug(" failed\n");
         } else {
-                print_debug(" done\r\n");
+                print_debug(" done\n");
         }
 # 803 "/home/eric/projects/linuxbios/checkin/solo/freebios2/src/mainboard/amd/solo/auto.c"
 }
@@ -628,7 +628,7 @@
 # 1 "/home/eric/projects/linuxbios/checkin/solo/freebios2/src/sdram/generic_sdram.c" 1
 void sdram_no_memory(void)
 {
-        print_err("No memory!!\r\n");
+        print_err("No memory!!\n");
         while(1) {
                 hlt();
         }
@@ -637,29 +637,29 @@
 
 void sdram_initialize(void)
 {
-        print_debug("Ram1\r\n");
+        print_debug("Ram1\n");
 
         sdram_set_registers();
 
-        print_debug("Ram2\r\n");
+        print_debug("Ram2\n");
 
         sdram_set_spd_registers();
 
-        print_debug("Ram3\r\n");
+        print_debug("Ram3\n");
 
 
 
 
         sdram_enable();
 
-        print_debug("Ram4\r\n");
+        print_debug("Ram4\n");
         sdram_first_normal_reference();
 
-        print_debug("Ram5\r\n");
+        print_debug("Ram5\n");
         sdram_enable_refresh();
         sdram_special_finishup();
 
-        print_debug("Ram6\r\n");
+        print_debug("Ram6\n");
 }
 # 810 "/home/eric/projects/linuxbios/checkin/solo/freebios2/src/mainboard/amd/solo/auto.c" 2
 
@@ -672,7 +672,7 @@
         msr = rdmsr(0x1b);
         bsp = !!(msr.lo & (1 << 8));
         if (bsp) {
-                print_debug("Bootstrap cpu\r\n");
+                print_debug("Bootstrap cpu\n");
         }
 
         return bsp;
@@ -689,7 +689,7 @@
 # 849 "/home/eric/projects/linuxbios/checkin/solo/freebios2/src/mainboard/amd/solo/auto.c"
         cpu_init = (htic & (1<<6));
         if (cpu_init) {
-                print_debug("CPU INIT Detected.\r\n");
+                print_debug("CPU INIT Detected.\n");
         }
         return cpu_init;
 }
@@ -777,7 +777,7 @@
         };
         int i;
         int max;
-        print_debug("setting up coherent ht domain....\r\n");
+        print_debug("setting up coherent ht domain....\n");
         max = sizeof(register_values)/sizeof(register_values[0]);
         for(i = 0; i < max; i += 3) {
                 unsigned long reg;
@@ -792,7 +792,7 @@
                 reg |= register_values[i+2] & ~register_values[i+1];
                 pci_write_config32(register_values[i], reg);
         }
-        print_debug("done.\r\n");
+        print_debug("done.\n");
 }
 
 static void enumerate_ht_chain(void)
@@ -857,7 +857,7 @@
                 print_debug_hex8(addr >> 11);
                 print_debug_char('.');
                 print_debug_hex8((addr >> 8) & 7);
-                print_debug("\r\n");
+                print_debug("\n");
         }
 }
 # 1525 "/home/eric/projects/linuxbios/checkin/solo/freebios2/src/mainboard/amd/solo/auto.c"
@@ -874,10 +874,10 @@
                 }
         }
         if (addr > ( (((0) & 0xFF) << 16) | (((0x1f) & 0x1f) << 11) | (((0x7) & 0x07) << 8) | ((0) & 0xFF))) {
-                die("SMBUS controller not found\r\n");
+                die("SMBUS controller not found\n");
         }
         uint8_t enable;
-        print_debug("SMBus controller enabled\r\n");
+        print_debug("SMBus controller enabled\n");
         pci_write_config32(addr + 0x58, 0x1000 | 1);
         enable = pci_read_config8(addr + 0x41);
         pci_write_config8(addr + 0x41, enable | (1 << 7));
@@ -971,7 +971,7 @@
 {
         unsigned device;
         device = (0xa << 3);
-        print_debug("\r\n");
+        print_debug("\n");
         while(device <= ((0xa << 3) +1)) {
                 int i;
                 print_debug("dimm: ");
@@ -980,13 +980,13 @@
                         int status;
                         unsigned char byte;
                         if ((i & 0xf) == 0) {
-                                print_debug("\r\n");
+                                print_debug("\n");
                                 print_debug_hex8(i);
                                 print_debug(": ");
                         }
                         status = smbus_read_byte(device, i);
                         if (status < 0) {
-                                print_debug("bad device\r\n");
+                                print_debug("bad device\n");
                                 continue;
                         }
                         byte = status & 0xff;
@@ -994,7 +994,7 @@
                         print_debug_char(' ');
                 }
                 device += 1;
-                print_debug("\r\n");
+                print_debug("\n");
         }
 }
 
@@ -1007,20 +1007,20 @@
                 int status;
                 unsigned char byte;
                 if ((i & 0xf) == 0) {
-                        print_debug("\r\n");
+                        print_debug("\n");
                         print_debug_hex8(i);
                         print_debug(": ");
                 }
                 status = smbus_read_byte((0xa << 3), i);
                 if (status < 0) {
-                        print_debug("bad device\r\n");
+                        print_debug("bad device\n");
                         break;
                 }
                 byte = status & 0xff;
                 print_debug_hex8(byte);
                 print_debug_char(' ');
         }
-        print_debug("\r\n");
+        print_debug("\n");
 }
 
 
@@ -1028,7 +1028,7 @@
 static void dump_spd_registers2(void)
 {
         unsigned dev;
-        print_debug("\r\n");
+        print_debug("\n");
         for(dev = (0xa << 3); dev <= ((0xa << 3) +1); dev += 1) {
                 print_debug("dimm: ");
                 print_debug_hex8(dev);
@@ -1036,12 +1036,12 @@
                 unsigned char byte;
                 status = smbus_read_byte(dev, 0);
                 if (status < 0) {
-                        print_debug("bad device\r\n");
+                        print_debug("bad device\n");
                         continue;
                 }
                 byte = status & 0xff;
                 print_debug_hex8(byte);
-                print_debug("\r\n");
+                print_debug("\n");
         }
 }
 
Index: util/romcc/tests/raminit_test5.c
===================================================================
--- util/romcc/tests/raminit_test5.c	(revision 3942)
+++ util/romcc/tests/raminit_test5.c	(working copy)
@@ -357,12 +357,12 @@
 static void console_init(void)
 {
         static const char console_test[] =
-                "\r\n\r\nLinuxBIOS-"
+                "\n\nLinuxBIOS-"
                 "1.1.0"
                 ".0Fallback"
                 " "
                 "Thu Jun 19 05:42:16 MDT 2003"
-                " starting...\r\n";
+                " starting...\n";
         print_info(console_test);
 }
 
@@ -416,7 +416,7 @@
         print_debug_hex32(start);
         print_debug("-");
         print_debug_hex32(stop);
-        print_debug("\r\n");
+        print_debug("\n");
         for(addr = start; addr < stop ; addr += 4) {
 
                 if (!(addr & 0xffff)) {
@@ -427,7 +427,7 @@
         };
 
         print_debug_hex32(addr);
-        print_debug("\r\nDRAM filled\r\n");
+        print_debug("\nDRAM filled\n");
 }
 
 static void ram_verify(unsigned long start, unsigned long stop)
@@ -440,7 +440,7 @@
         print_debug_hex32(start);
         print_debug_char('-');
         print_debug_hex32(stop);
-        print_debug("\r\n");
+        print_debug("\n");
         for(addr = start; addr < stop ; addr += 4) {
                 unsigned long value;
 
@@ -454,12 +454,12 @@
                         print_err_hex32(addr);
                         print_err_char(':');
                         print_err_hex32(value);
-                        print_err("\r\n");
+                        print_err("\n");
                 }
         }
 
         print_debug_hex32(addr);
-        print_debug("\r\nDRAM verified\r\n");
+        print_debug("\nDRAM verified\n");
 }
 
 
@@ -475,7 +475,7 @@
         print_debug_hex32(start);
         print_debug("-");
         print_debug_hex32(stop);
-        print_debug("\r\n");
+        print_debug("\n");
         ram_fill(start, stop);
         ram_verify(start, stop);
         print_debug("Done.\n");
@@ -539,10 +539,10 @@
         device_t dev;
         dev = pci_locate_device(((((0x746b) & 0xFFFF) << 16) | ((0x1022) & 0xFFFF)), 0);
         if (dev == (0xffffffffU)) {
-                die("SMBUS controller not found\r\n");
+                die("SMBUS controller not found\n");
         }
         uint8_t enable;
-        print_debug("SMBus controller enabled\r\n");
+        print_debug("SMBus controller enabled\n");
         pci_write_config32(dev, 0x58, 0x1000 | 1);
         enable = pci_read_config8(dev, 0x41);
         pci_write_config8(dev, 0x41, enable | (1 << 7));
@@ -649,7 +649,7 @@
 static void setup_resource_map(const unsigned int *register_values, int max)
 {
         int i;
-        print_debug("setting up resource map....\r\n");
+        print_debug("setting up resource map....\n");
         for(i = 0; i < max; i += 3) {
                 device_t dev;
                 unsigned where;
@@ -673,7 +673,7 @@
 
 
         }
-        print_debug("done.\r\n");
+        print_debug("done.\n");
 }
 
 static void setup_default_resource_map(void)
@@ -845,7 +845,7 @@
         };
         int i;
         int max;
-        print_debug("setting up CPU0 northbridge registers\r\n");
+        print_debug("setting up CPU0 northbridge registers\n");
         max = sizeof(register_values)/sizeof(register_values[0]);
         for(i = 0; i < max; i += 3) {
                 device_t dev;
@@ -871,7 +871,7 @@
 
 
         }
-        print_debug("done.\r\n");
+        print_debug("done.\n");
 }
 
 
@@ -950,7 +950,7 @@
         print_debug_hex32(sz.side2);
         print_debug_char(',');
         print_debug_hex32(index);
-        print_debug(")\r\n");
+        print_debug(")\n");
 
         if (sz.side1 != sz.side2) {
                 sz.side2 = 0;
@@ -1114,7 +1114,7 @@
         dcl = pci_read_config32(( (((0) & 0xFF) << 16) | (((0x18) & 0x1f) << 11) | (((2) & 0x7) << 8)), 0x90);
         print_debug("dcl: ");
         print_debug_hex32(dcl);
-        print_debug("\r\n");
+        print_debug("\n");
         dcl |= (1<<3);
         pci_write_config32(( (((0) & 0xFF) << 16) | (((0x18) & 0x1f) << 11) | (((2) & 0x7) << 8)), 0x90, dcl);
         dcl &= ~(1<<3);
@@ -1134,9 +1134,9 @@
                 }
         } while(((dcl & (1<<8)) != 0) && (loops < 300000));
         if (loops >= 300000) {
-                print_debug(" failed\r\n");
+                print_debug(" failed\n");
         } else {
-                print_debug(" done\r\n");
+                print_debug(" done\n");
         }
 
 }
@@ -1176,7 +1176,7 @@
         };
         int i;
         int max;
-        print_debug("setting up coherent ht domain....\r\n");
+        print_debug("setting up coherent ht domain....\n");
         max = sizeof(register_values)/sizeof(register_values[0]);
         for(i = 0; i < max; i += 3) {
                 device_t dev;
@@ -1201,13 +1201,13 @@
 
 
         }
-        print_debug("done.\r\n");
+        print_debug("done.\n");
 }
 
 
 void sdram_no_memory(void)
 {
-        print_err("No memory!!\r\n");
+        print_err("No memory!!\n");
         while(1) {
                 hlt();
         }
@@ -1216,29 +1216,29 @@
 
 void sdram_initialize(void)
 {
-        print_debug("Ram1\r\n");
+        print_debug("Ram1\n");
 
         sdram_set_registers();
 
-        print_debug("Ram2\r\n");
+        print_debug("Ram2\n");
 
         sdram_set_spd_registers();
 
-        print_debug("Ram3\r\n");
+        print_debug("Ram3\n");
 
 
 
 
         sdram_enable();
 
-        print_debug("Ram4\r\n");
+        print_debug("Ram4\n");
         sdram_first_normal_reference();
 
-        print_debug("Ram5\r\n");
+        print_debug("Ram5\n");
         sdram_enable_refresh();
         sdram_special_finishup();
 
-        print_debug("Ram6\r\n");
+        print_debug("Ram6\n");
 }
 
 
@@ -1251,9 +1251,9 @@
         msr = rdmsr(0x1b);
         bsp = !!(msr.lo & (1 << 8));
         if (bsp) {
-                print_debug("Bootstrap processor\r\n");
+                print_debug("Bootstrap processor\n");
         } else {
-                print_debug("Application processor\r\n");
+                print_debug("Application processor\n");
         }
 
         return bsp;
@@ -1270,7 +1270,7 @@
 
         cpu_init = (htic & (1<<6));
         if (cpu_init) {
-                print_debug("CPU INIT Detected.\r\n");
+                print_debug("CPU INIT Detected.\n");
         }
         return cpu_init;
 }
@@ -1300,7 +1300,7 @@
                         continue;
                 }
                 print_debug_pci_dev(dev);
-                print_debug("\r\n");
+                print_debug("\n");
         }
 }
 
@@ -1309,7 +1309,7 @@
 {
         int i;
         print_debug_pci_dev(dev);
-        print_debug("\r\n");
+        print_debug("\n");
 
         for(i = 0; i <= 255; i++) {
                 unsigned char val;
@@ -1321,7 +1321,7 @@
                 print_debug_char(' ');
                 print_debug_hex8(val);
                 if ((i & 0x0f) == 0x0f) {
-                        print_debug("\r\n");
+                        print_debug("\n");
                 }
         }
 }
@@ -1330,7 +1330,7 @@
 {
         unsigned device;
         device = (0xa << 3);
-        print_debug("\r\n");
+        print_debug("\n");
         while(device <= ((0xa << 3) +1)) {
                 int i;
                 print_debug("dimm: ");
@@ -1339,13 +1339,13 @@
                         int status;
                         unsigned char byte;
                         if ((i & 0xf) == 0) {
-                                print_debug("\r\n");
+                                print_debug("\n");
                                 print_debug_hex8(i);
                                 print_debug(": ");
                         }
                         status = smbus_read_byte(device, i);
                         if (status < 0) {
-                                print_debug("bad device\r\n");
+                                print_debug("bad device\n");
                                 break;
                         }
                         byte = status & 0xff;
@@ -1353,7 +1353,7 @@
                         print_debug_char(' ');
                 }
                 device += 1;
-                print_debug("\r\n");
+                print_debug("\n");
         }
 }
 
@@ -1386,7 +1386,7 @@
                 print_debug("TOP_MEM: ");
                 print_debug_hex32(msr.hi);
                 print_debug_hex32(msr.lo);
-                print_debug("\r\n");
+                print_debug("\n");
                 ram_check(0x00000000, msr.lo);
         }
 }
